/*
 *    Obj.java
 *    Copyright (C) 1999 Pierre Geurts
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

import java.util.*;

public class Obj {
  /* the name of the object */
  String name;
  /* the database it belongs to */
  Database db;
  /* the vector of attributes values */
  Vector attributesvalues=new Vector();

  Obj(String s, Database db) {
    this.db=db;
    name=s;
    db.addObjToDb(this);
    /* it allocates place for the attribute values */
    attributesvalues.setSize(db.attributes.size());
  }
  public String toString() {
    return name;
  } 
}

