/*
 *    TestNum.java
 *    Copyright (C) 1999 Pierre Geurts
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

import java.util.*;

public class TestNum extends Test {
  /* the threshold associated to this test */
  float threshold;
  
  TestNum(NumAtt attnum, float v) {
    Att=attnum;
    threshold=v;
    nbIssues=2;
    valuesIssues=new Vector();
    valuesIssues.addElement("yes");
    valuesIssues.addElement("no");
    TestDescription=attnum.name + "<" + v;
  }
  
  public String TestObject(Obj o) {
    if (((Float)Att.Value(o)).floatValue()<threshold)
      return "yes";
    else
      return "no";
  }
    
  public String testDescription(int value) {
    if (value==0) {
      return TestDescription;
    } else if (value==1) {
      return Att.name + ">=" + threshold;
    } else
      return null;
  }
}
    
